History

#1 - 07/28/2021 11:32 AM - Greg Shah

- Related to Support #4549: reduce/eliminate installation dependencies added

#2 - 07/28/2021 11:47 AM - Greg Shah

In setup a private TERMINFO database there are some hints of how we can make our own customized terminal types available without editing the

system's TERMINFO.

The short version:

The TERMINFO_DIRS environment variable will be read by ncurses.  It defines a search path to use for looking up the TERMINFO database.

We would create our own directory that includes only our customized terminal definitions.  This directory would be pre-pended to the

TERMINFO_DIRS search paths so that it will be searched first.

We would need to identify the existing paths that should be searched so they can be appended to the TERMINFO_DIRS variable.  This allows

the standard/unmodified terminal defs to be found in the system's normal TERMINFO paths.

This environment variable will need to be set for every interactive ChUI FWD client.

I would expect we could install these in a terminfo/ subdirectory of wherever the p2j.jar exists for the FWD client.

#3 - 05/10/2022 12:30 PM - Greg Shah

See #6340.  We could use the same technique to extract this application-specific TERMINFO database and avoid the install step.

#4 - 06/22/2023 08:52 AM - Greg Shah

- Assignee set to Eugenie Lyzenko

#5 - 06/22/2023 08:56 AM - Greg Shah

With the completion of #5167, we now have the option of using a statically linked ncurses installation rather than the system-wide installation.

Until this #5568 task is complete, we still need terminfo to be edited system-wide, which will still require root/sudo and apt hooks.  Let's resolve this so

that we are completely independent of the system-wide, privleged environment.
